Package org.eclipse.handly.ui.preference

# Class ToggleAction

java.lang.Object
org.eclipse.core.commands.common.EventManager
org.eclipse.jface.action.AbstractAction
org.eclipse.jface.action.Action
org.eclipse.handly.ui.preference.ToggleAction

All Implemented Interfaces:
  `org.eclipse.jface.action.IAction`

public class ToggleAction extends org.eclipse.jface.action.Action
An action that toggles a boolean-valued preference.

- ## Field Summary

  ### Fields inherited from interface org.eclipse.jface.action.IAction

  `AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, HANDLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ToggleAction(IBooleanPreference preference)`
  Creates a new action that will toggle the given boolean-valued preference.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `dispose()`
  Disposes of this action.
  `void`
  `run()`

  ### Methods inherited from class org.eclipse.jface.action.Action

  `convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, isHandled, notifyResult, removeAcceleratorText, removeMnemonics, runWithEvent, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

  ### Methods inherited from class org.eclipse.jface.action.AbstractAction

  `addPropertyChangeListener, firePropertyChange, firePropertyChange, removePropertyChangeListener`

  ### Methods inherited from class org.eclipse.core.commands.common.EventManager

  `addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ToggleAction

    public ToggleAction(IBooleanPreference preference)
    Creates a new action that will toggle the given boolean-valued preference.
    Parameters:
      `preference` - the linked preference (not `null`)

- ## Method Details

  - ### dispose

    public void dispose()
    Disposes of this action.

  - ### run

    public void run()
    Specified by:
      `run` in interface `org.eclipse.jface.action.IAction`
    Overrides:
      `run` in class `org.eclipse.jface.action.Action`